QR codes
GET https://p9.lt/api/qr-codes/
curl --request GET \
--url 'https://p9.lt/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name. |
| project_id | Optional Integer | |
| type | Optional String | What field are you searching by. Allowed values are: url, file, wifi, text, epc, vcard, phone, sms, email, whatsapp, facetime, facetime_audio, location, event, crypto, upi, pix, paypal. |
| datetime_field | Optional String | Allowed values: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: qr_code_id, datetime, last_datetime, name, type. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-11-11 08:50:34"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://p9.lt/api/qr-codes?page=1",
"last": "https://p9.lt/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://p9.lt/api/qr-codes?page=1"
}
}
GET https://p9.lt/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://p9.lt/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-11-11 08:50:34"
}
}
POST https://p9.lt/api/qr-codes
| Parameters | Details | Description |
|---|---|---|
| theme_id | Optional Integer | The ID of a saved QR code theme. Submitted styling and images override the theme. |
| link_id | Optional Integer | Available when: type = url url_dynamic = 1 url_dynamic_existing_link = 1 |
| url_dynamic | Optional Boolean | Available when: type = url |
| url_dynamic_existing_link | Optional Boolean | Available when: type = url url_dynamic = 1 |
| project_id | Optional Integer | - |
| name | Required String | - |
| type | Required String | Allowed values: url, wifi, text, epc, vcard, phone, sms, email, whatsapp, facetime, facetime_audio, location, event, crypto, upi, pix, paypal |
| is_bulk | Optional Boolean | Available when: type = text |
| style | Optional String | Allowed values: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x |
| inner_eye_style | Optional String | Allowed values: square, dot, rounded, diamond, flower, leaf |
| outer_eye_style | Optional String | Allowed values: square, circle, rounded, flower, leaf |
| foreground_type | Optional String | Allowed values: color, gradient |
| foreground_color | Optional String | Available when: foreground_type = color |
| foreground_gradient_style | Optional String | Allowed values: vertical, horizontal, diagonal, inverse_diagonal, radial |
| foreground_gradient_one | Optional String | Available when: foreground_type = gradient |
| foreground_gradient_two | Optional String | Available when: foreground_type = gradient |
| background_color | Optional String | |
| background_color_transparency | Optional Integer | |
| custom_eyes_color | Optional Boolean | |
| eyes_inner_color | Optional String | Available when: custom_eyes_color = 1 |
| eyes_outer_color | Optional String | Available when: custom_eyes_color = 1 |
| qr_code_logo | Optional File | - |
| qr_code_logo_size | Optional Integer | 5-35 |
| qr_code_background | Optional File | - |
| qr_code_background_transparency | Optional Integer | 0-100 |
| qr_code_foreground | Optional File | - |
| qr_code_foreground_transparency | Optional Integer | 0-100 |
| frame | Optional String | Allowed values: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text |
| frame_text | Optional String | |
| frame_text_size | Optional Integer | -5 - 5 |
| frame_text_font | Optional String | Allowed values: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt |
| frame_custom_colors | Optional Boolean | |
| frame_color | Optional String | Available when: frame_custom_colors = 1 |
| frame_text_color | Optional String | Available when: frame_custom_colors = 1 |
| size | Optional Integer | 50-2000 |
| margin | Optional Integer | 0-25 |
| ecc | Optional String | Allowed values: L, M, Q, H |
| text | Optional String | Available when: type = text |
| url | Optional String | Available when: type = url |
| phone | Optional String | Available when: type = phone |
| sms | Optional String | Available when: type = sms |
| sms_body | Optional String | Available when: type = sms |
| Optional String | Available when: type = email | |
| email_subject | Optional String | Available when: type = email |
| email_body | Optional String | Available when: type = email |
| Optional String | Available when: type = whatsapp | |
| whatsapp_body | Optional String | Available when: type = whatsapp |
| facetime | Optional String | Available when: type = facetime |
| facetime_audio | Optional String | Available when: type = facetime_audio |
| location | ||
| location_latitude | Optional Float | Available when: type = location |
| location_longitude | Optional Float | Available when: type = location |
| wifi | ||
| wifi_ssid | Optional String | Available when: type = wifi |
| wifi_encryption | Optional String | Allowed values: nopass, WEP, WPA/WPA2, H (type=wifi) |
| wifi_password | Optional String | Available when: type = wifi |
| wifi_is_hidden | Optional Boolean | Available when: type = wifi |
| event | Optional String | Available when: type = event |
| event_location | Optional String | Available when: type = event |
| event_url | Optional String | Available when: type = event |
| event_note | Optional String | Available when: type = event |
| event_timezone | Optional String | Available when: type = event |
| event_start_datetime | Optional String | Available when: type = event |
| event_end_datetime | Optional String | Available when: type = event |
| event_first_alert_datetime | Optional String | Available when: type = event |
| event_second_alert_datetime | Optional String | Available when: type = event |
| crypto | ||
| crypto_coin | Optional String | Available when: type = crypto |
| crypto_address | Optional String | Available when: type = crypto |
| crypto_amount | Optional String | Available when: type = crypto |
| vcard | ||
| vcard_first_name | Optional String | Available when: type = vcard |
| vcard_last_name | Optional String | Available when: type = vcard |
| vcard_company | Optional String | Available when: type = vcard |
| vcard_phone_number_label[index] | Optional String | Available when: type = vcard |
| vcard_phone_number_value[index] | Optional String | Available when: type = vcard |
| vcard_email | Optional String | Available when: type = vcard |
| vcard_url | Optional String | Available when: type = vcard |
| vcard_job_title | Optional String | Available when: type = vcard |
| vcard_birthday | Optional String | Available when: type = vcard |
| vcard_street | Optional String | Available when: type = vcard |
| vcard_city | Optional String | Available when: type = vcard |
| vcard_zip | Optional String | Available when: type = vcard |
| vcard_region | Optional String | Available when: type = vcard |
| vcard_country | Optional String | Available when: type = vcard |
| vcard_note | Optional String | Available when: type = vcard |
| vcard_social_label[index] | Optional String | Available when: type = vcard |
| vcard_social_value[index] | Optional String | Available when: type = vcard |
| paypal | ||
| paypal_type | Optional String | Allowed values: buy_now, add_to_cart, donation (type=paypal) |
| paypal_email | Optional String | Available when: type = paypal |
| paypal_title | Optional String | Available when: type = paypal |
| paypal_currency | Optional String | Available when: type = paypal |
| paypal_price | Optional Float | Available when: type = paypal |
| paypal_thank_you_url | Optional String | Available when: type = paypal |
| paypal_cancel_url | Optional String | Available when: type = paypal |
| upi | ||
| upi_payee_id | Optional String | Available when: type = upi |
| upi_payee_name | Optional String | Available when: type = upi |
| upi_currency | Optional String | Available when: type = upi |
| upi_amount | Optional Float | Available when: type = upi |
| upi_transaction_id | Optional String | Available when: type = upi |
| upi_transaction_note | Optional String | Available when: type = upi |
| upi_transaction_reference | Optional String | Available when: type = upi |
| upi_thank_you_url | Optional String | Available when: type = upi |
| epc | ||
| epc_iban | Optional String | Available when: type = epc |
| epc_payee_name | Optional String | Available when: type = epc |
| epc_currency | Optional String | Available when: type = epc |
| epc_amount | Optional Float | Available when: type = epc |
| epc_bic | Optional String | Available when: type = epc |
| epc_remittance_reference | Optional String | Available when: type = epc |
| epc_remittance_text | Optional String | Available when: type = epc |
| information | Optional String | Available when: type = epc |
| pix | ||
| pix_payee_key | Optional String | Available when: type = pix |
| pix_payee_name | Optional String | Available when: type = pix |
| pix_currency | Optional String | Available when: type = pix |
| pix_amount | Optional Float | Available when: type = pix |
| pix_city | Optional String | Available when: type = pix |
| pix_transaction_id | Optional String | Available when: type = pix |
| pix_description | Optional String | Available when: type = pix |
| bulk_request | Optional String | - |
| qr_code_logo_remove | Optional Boolean | - |
| qr_code_background_remove | Optional Boolean | - |
| qr_code_foreground_remove | Optional Boolean | - |
| encoding | Optional Array | - |
| sms | Optional Array | - |
| Optional Array | - | |
| Optional Array | - | |
| event | Optional Array | - |
| qr_code | Optional Array | - |
| embedded_data | Optional Array | - |
| Parameters | Details | Description |
|---|---|---|
curl --request POST \
--url 'https://p9.lt/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'theme_id=1' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://p9.lt/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'theme_id=1' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-11-11 08:50:34"
}
}
POST https://p9.lt/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://p9.lt/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://p9.lt/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-11-11 08:50:34"
}
}
DELETE https://p9.lt/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://p9.lt/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \